NodeRings Docs

Create Client

CreateClient creates a new OAuth2 client

POST
/v1/oauth2/clients
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

name?string
description?string
redirectUris?array<string>
scopes?array<string>
clientType?string
requiresPkce?boolean

Response Body

application/json

curl -X POST "https://api.nrings.io/v1/oauth2/clients" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}" \  -H "Content-Type: application/json" \  -d '{  "name": "string",  "description": "string",  "redirectUris": [    "string"  ],  "scopes": [    "string"  ],  "clientType": "string",  "requiresPkce": false}'
{
  "clientId": "string",
  "clientSecret": "string",
  "name": "string",
  "redirectUris": [
    "string"
  ],
  "scopes": [
    "string"
  ]
}